import { defineConfig } from 'dumi';
import path from 'path';

export default defineConfig({
  outputPath: 'docs-dist',
  themeConfig: {
    name: 'zhst前端库',
  },
  alias: {
    '@zhst/hooks': path.join(__dirname, 'packages/demo/src'),
  },
  resolve: {
    docDirs: ['docs'],
    atomDirs: [{ type: 'demo', dir: 'packages/demo/src' }],
  },
  monorepoRedirect: {
    srcDir: ['packages', 'src'],
    peerDeps: true,
  },
});
